/*
 * Copyright (c) 2018 Includable.
 * Created by Thomas Schoffelen.
 */

module.exports = {
  create: function (kit, slug) {
    require('./create')(kit, slug)
  },
  run: function (options) {
    require('./run')(options)
  },
  reset: function () {
    require('./reset')()
  },
  downloadHelper: function () {
    require('./helper')()
  },
  upgrade: function () {
    require('./upgrade')()
  },
  login: function (options) {
    require('./login')(options)
  },
  plugins: {
    install: function (plugin) {
      require('./plugins/install')(plugin)
    },
    remove: function (plugin) {
      require('./plugins/remove')(plugin)
    },
    list: function () {
      require('./plugins/list')()
    }
  },
  communities: {
    list: function () {
      require('./communities/list')()
    }
  },
  modules: {
    publish: function (name) {
      require('./modules/publish')(name)
    },
    deploy: function (domain) {
      require('./modules/deploy')(domain)
    },
    list: function () {
      require('./modules/list')()
    }
  }
}
